﻿/****** begin global clear ******/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-weight: inherit;
    font-style: inherit;
    font-size: 100%;
    font-family: inherit;
    vertical-align: baseline;
}
/* remember to define focus styles! */
:focus {
    outline: 0;
}
body {
    line-height: 1;
    color: black;
    background: white;
}
ol, ul {
    list-style: none;
}
/* tables still need 'cellspacing="0"' in the markup */
table {
    border-collapse: separate;
    border-spacing: 0;
}
caption, th, td {
    text-align: left;
    font-weight: normal;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: "";
}
blockquote, q {
    quotes: "" "";
}
/****** end global clear ******/

body
{
    background:#fff;
    font-family:Verdana, Arial, Helvetica, sans-serif;
    color:#000;
    font-size:12px;
    text-align:center;
}

.main_wrapper
{
    width:100%;
}

a:link,
    a:visited
{
    color:#084B29;
    text-decoration:none;
}

a:hover,
    a:focus
{	
    color:#15623A;
    text-decoration:underline;
}

a:active
{
    color:#084B29;
    text-decoration:none;
}

.error_label
{
    color:#D30606;
}

.text_center
{
    text-align:center;
}

.default_btn
{
    background:#E7F7D8;
    border:1px solid #73BE2F;
    color:#000;
    height:26px;
    margin:10px;
}

.default_btn:hover
{
    background:#D7F5BC;
}

.txt
{
    border:1px solid #73BE2F;
    color:#333;
    min-width:180px;
    padding:3px;
}

.txt:focus
{
    background:#F9FFF4;
    color:#000;
}

.txt_error
{
    background:#f7d8d8;
    border:1px solid #790808;
}

.txt_error input.dxeEditArea
{
    background:#f7d8d8 !important;
}

/* Fading Tooltips */
.tooltip
{
    padding:0 0 0 2px;
    vertical-align:middle;
}

div#toolTip
{
    -moz-border-radius:5px;
    background:#000;
    border:2px double #fff;
    padding:5px;
    position:absolute;
    text-align:left;
    width:220px;
    z-index:13000;
}

div#toolTip p 
{
    color:#fff;
    font:11px/12px verdana,arial,serif;
    margin:0;
    padding:0;
}

div#toolTip p em 
{
    color:#f60;
    display:block;
    font-style:normal;
    font-weight:bold;
    margin-top:3px;
}

/* default / welcome page */
#box
{
    margin:15% auto 0;
    height:269px;
    width:512px;
}

#welcome_cube
{
    background:#B6E889;
    border:1px solid #73BE2F;
    height:269px;
    float:left;
    width:492px;
}

#welcome_cube > span
{
    color:#843333;
    display:block;
    font-size:2em;
    margin-top:23%;
}

.box_side
{
    height:269px;
    float:left;
    width:9px;
}

#box_left
{
    background:url('/img/box_left.png');
}

#box_right
{
    background:url('/img/box_right.png');
}

.box_borders
{
    clear:both;
    height:6px;
    margin-left:8px;
    width:492px;
}

#box_top
{
    background:url('/img/box_top.png');
}

#box_bottom
{
    background:url('/img/box_bottom.png');
}

/* master page header */
#header
{
    background:#B6E889;
    border-bottom:1px solid #73BE2F;
    color:#4B2626;
    cursor:default;
    font-size:2em;
    height:60px;
    position:relative;
    vertical-align:middle;
    width:100%;
}

#header > span
{
    display:block;
    padding-top:15px;
}

#header .login-view
{
    bottom:5px;
    font-size:0.5em;
    position:absolute;
    right:5px;
}

#header .login-view a:hover
{
    cursor:pointer;
    text-decoration:none;
}

#header .login-view a img
{
    margin-left:5px;
    vertical-align:middle;
}

#admin-menu
{
    background:#fff;
    border:1px solid #ccc;
    line-height:16px;
    padding:10px;
    position:absolute;
    right:0;
    text-align:left;
    top:16px;
    z-index:100000;
}

#admin-menu a:hover
{
    text-decoration:underline !important;
}

#admin-menu .sub-title
{
    font-size:0.8em;
    margin:0 0 5px;
    width:100%;
}

#admin-menu .sub-title td
{
    line-height:10px;
    text-align:center;
    vertical-align:middle;
    width:33%;
}

#admin-menu .sub-title td hr
{
    border:none;
    border-bottom:1px solid #CCC;
}

#header_shadow
{
    background:url('/img/header_shadow.png');
    height:9px;
    margin-bottom:10px;
}

/* login page */
.login
{
    margin:0 auto;
}

.login td
{
    padding:5px;
}

/* upload maps page */
.upload_map
{
    margin:0 auto;
    text-align:center;
    width:30%;
}

.upload_map td
{
    padding:5px;
    text-align:center;
}

/**/
.map_wrapper
{
    border:none;
    margin:0 auto;
    padding:0;
    text-align:center;
    width:980px;
}

.map_wrapper:after 
{
    clear:both;
    content:".";
    display:block;
    height:0;
    visibility:hidden;
}

#calc_block
{
    border:1px solid #668E43;
    line-height:25px;
    padding:10px 5px;
    position:relative;
    text-align:left;
    width:165px;
}

#calc_block a:hover,
    #calc_block a:focus
{
    text-decoration:none;
}

#calc_block a:active
{
    text-decoration:none;
}

#calc_block a img
{
    vertical-align:sub;
}

#calc_block #loading
{
    background:#ccc;
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=90);
    height:100%;
    left:0;
    opacity:0.9;
    position:absolute;
    top:0;
    width:100%;
    z-index:10000;
}

#calc_block #loading_txt
{
    color:#222;
    cursor:wait;
    height:100%;
    left:0;
    line-height:16px;
    padding-top:2px;
    position:absolute;
    text-align:center;
    top:0;
    width:100%;
    z-index:10001;
}

#calc_block #loading_txt img
{
    display:block;
    margin:0 auto 3px;
}

/* google maps container */
#map_canvas,
    .map_canvas
{
    border:1px solid #668E43;
    height:600px;
    margin:0 auto;
    width:800px;
}

.div_w_back
{
    color:#666;
    height:18px;
    margin:0 auto;
    text-align:left;
    width:980px;
}

.div_w_back a img
{
    vertical-align:middle;
}

/* scale & confirm page */
.scale_panel
{
    margin:20px 0;
    text-align:center;
}

.map_name
{
    color:#666666;
    cursor:default;
    display:block;
    font-size:1.2em;
    vertical-align:middle;
}

/* browse projects page */
.map_item,
    .small_map_item
{
    border:1px solid #fff;
    color:#333;
    cursor:default;
    margin:0 auto 20px;
    padding:5px;
    position:relative;
    text-align:left;
    width:550px;
}

.map_item:hover,
    .small_map_item:hover
{
    background:#F6F9F4;
    border:1px solid #ddd;
}

.map_item > img
{
    border:1px solid #668E43;
    float:left;
    vertical-align:middle;
}

.project_info td
{
    padding:5px;
    text-align:left;
}

.map_item .links
{
    bottom:10px;
    line-height:20px;
    position:absolute;
    right:5px;
    text-align:right;
}

.map_item .links a img
{
    vertical-align:middle;
}

.map_item .error_lbl
{
    background-color:#F5DBDB;
    border:1px solid #B33030;
    bottom:-20px;
    color:#AA1414;
    left:5px;
    padding:2px;
    position:absolute;
    text-align:center;
    width:98%;
}

.small_map_item
{
    margin:0;
    padding:10px 3%;
    width:94%;
}

.small_map_item table td
{
    position:relative;
    vertical-align:top;
}

.small_map_item table td a
{
    bottom:10px;
    position:absolute;
    right:10px;
}

.small_map_item table td.image
{
    text-align:left;
    width:120px;
}

/* project page */
.objects_title
{
    color:#666;
    font-size:1.4em;
    margin:10px auto 0;
    position:relative;
    text-align:left;
    width:90%;
}

.objects_title a
{
    font-size:0.8em;
    position:absolute;
    right:0;
    top:5px;
}

.objects_title a img
{
    vertical-align:middle;
}

.sub_title
{
    color:#666;
    font-size:1.2em;
    margin:10px 0;
    text-align:left;
    width:100%;
}

a.link
{
    color:#084B29;
    padding:0 20px;
    text-decoration:none;
}

a.link:hover
{
    color:#15623A;
    cursor:pointer;
    text-decoration:underline;
}

.modal_container
{
    height:96%;
    overflow-y:scroll;
    padding:0 2%;
    text-align:center;
    width:96%;
}

.locations_container
{
    margin:10px auto;
}

.locations_container table tr.dxgvDataRow:hover td
{
    background-color:#F6FFF4 !important;
    color:#000;
}

.selected-row td
{
    background-color:#DEF7D7 !important;
    color:#000;
}

.primary-exp-cell
{
    background-color:#FFE6E6;
}

.secondary-exp-cell
{
    background-color:#FCF2DD;
}

.middle_cell
{
    display:block;
    margin:0 auto;
    text-align:center;
    width:95%;
}

.dxgv img
{
    vertical-align:middle;
}

.detail_row
{
    margin:0 auto;
    padding:2px;
    width:49%;
}

.detail_row tr[rel=block],
    .detail_row tr[rel=block_f],
    .detail_row tr[rel=block_l]
{
    background:#f9f9f8;
}

/* some borders for separate blocks */
.detail_row tr[rel=block_f] > td
{
    border:1px solid #E4E4E4;
    border-bottom:none;
    padding:5px 2px;
}
.detail_row tr[rel=block_l] > td
{
    border-bottom:1px solid #E4E4E4;
}
.detail_row td[rel=left]
{
    border-left:1px solid #E4E4E4;
}

.detail_row td[rel=right]
{
    border-right:1px solid #E4E4E4;
}
/****/

.detail_row td
{
    color:#666;
    padding:2px 4px;
    vertical-align:middle;
    width:25%;
}

.detail_row td td
{
    padding:0;
}

.detail_row td.data
{
    color:#000;
    width:70%;
}

.detail_row td.data input,
    .detail_row td.data select
{
    vertical-align:middle;
    width:80%;
}

.detail_row td.data span.checkBox input
{
    width:auto;
}

.detail_row td.comboBox > table td.dxeButtonEditButton
{
    padding:0 3px;
}

.detail_row td.comboBox .dxeListBoxItem
{
    padding:3px;
    width:auto;
}

.detail_row td.comboBox .dxeIIC
{
    width:auto;
}

.detail_row td a img
{
    padding-left:5px;
    vertical-align:middle;
}

.detail_row td.editModeButtons
{
    padding-top:20px;
    text-align:center;
}

/*.detail_row td fieldset.inner_set
{
    border:1px solid #73BE2F;
    margin-top:10px;
    padding:10px;
    width:90%;
}

.detail_row td fieldset.inner_set > legend
{
    font-weight:bold;
    padding:0 5px;
}*/

.detail_row td.data table.reductions
{
    border:1px solid #73BE2F;
    border-collapse:separate !important;
    width:100%;
}

.detail_row td.data table.reductions td
{
    padding:5px;
    text-align:center;
    width:20%;
}

.detail_row td.data table.reductions td.header_cell
{
    background:#EAF2E2;
    border-bottom:1px solid #73BE2F;
    font-weight:bold;
}

.detail_row td.data table.reductions td.name
{
    text-align:left;
    width:30%;
}

.detail_row td.data table.reductions td.quantity
{
    text-align:center;
}

.detail_row td.data table.inv_borders
{
    margin:0;
    width:100%;
}

.detail_row td.data table.inv_borders td
{
    width:auto;
}

.detail_row td.data table.inv_borders td input[type=radio]
{
    width:16px;
}

/* popup */
#popup-bg
{
    background-color:#ccc;
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=80);
    height:100%;
    left:0;
    opacity:0.8;
    position:fixed;
    top:0;
    width:100%;
    z-index:20000;
}

#popup-dialog
{
    background-color:#fff;
    border:1px solid #668E43;
    height:100px;
    left:50%;
    position:fixed;
    top:50%;
    width:300px;
    z-index:20001;
}

#popup-dialog .title
{
    background-color:#B6E889;
    border-bottom:1px solid #668E43;
    cursor:default;
    font-weight:bold;
    padding:3px 3px 5px;
    text-align:center;
}

#popup-dialog a:hover,
    #popup-dialog a:focus
{
    text-decoration:underline;
}


.dxgvSelectedRow td
{
    background-color: #DEF7D7 !important;
    color: #000000;
}